/*  gtail
 *  Copyright (C) 1999 Didier Remy
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*
 * $Log: gtailsig.h,v $
 * Revision 1.5  1999/12/30 08:56:17  didier
 * Internationalisation
 *
 * Revision 1.3  1999/11/20 15:37:21  didier
 * Ajout du destroy par le WM
 * Notebook : scrollable et dtection de changement de page
 *
 * Revision 1.2  1999/11/10 20:32:01  didier
 * Changement cosmtique
 *
 */

#include <gtk/gtk.h>


gboolean
on_gtail_destroy_event                 (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_gtail_delete_event                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_FileMenu_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_OpenMenuItem_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_CmdMenuItem_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_QuitMenuItem_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_HelpMenu_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_AboutMenuItem_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ButtonOpenFile_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_ButtonExec_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_ButtonQuit_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_NoteBook_switch_page                (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        gint             page_num,
                                        gpointer         user_data);

gboolean
remove_page                            (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_AddButton_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_CloseButton_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmd_choosed_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmd_abort_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_CheckButtonRepeat_toggled           (GtkToggleButton *togglebutton,
                                        gpointer         user_data);
